#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_NQ5C(void)
{
#if (PRO_NQ5C)
    if(g_VehicleType == CAR_TYPE_ICV){
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("DpfGpf",                  DpfGpf); 
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("4WD Diag",          Four_WD_Diag);
        SetTelltalePos("ISG Green",             IsgGreen);
        SetTelltalePos("ISG Yellow",           IsgYellow);
        SetTelltalePos("ISG White",             IsgWhite);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("ISLA",                      ISLA);
        SetTelltalePos("LfaHdaGray",          LfaHdaGray);
        SetTelltalePos("LfaHdaGreen",        LfaHdaGreen);
        SetTelltalePos("LfaHdaWhite",        LfaHdaWhite);
        SetTelltalePos("LdwLkaGray",          LdwLkaGray);
        SetTelltalePos("LdwLkaGreen",        LdwLkaGreen);
        SetTelltalePos("LdwLkaYellow",      LdwLkaYellow);
        if (JudgePartNum() == PartNum_NQ5C_Outlet){
            SetTelltalePos("OverSpeed",            OverSpeed);
        }
        SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
        SetTelltalePos("AutoHoldGreen",    AutoHoldGreen);
        SetTelltalePos("AutoHoldWhite",    AutoHoldWhite);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("IceWarning",          IceWarning);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("RSBR",                      RSBR);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
    else{
        SetTelltalePos("RBS",                        RBS);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("DpfGpf",                  DpfGpf); 
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("READY",                    READY);
        SetTelltalePos("EV_MODE",                EV_MODE);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("ISLA",                      ISLA);
        SetTelltalePos("LfaHdaGray",          LfaHdaGray);
        SetTelltalePos("LfaHdaGreen",        LfaHdaGreen);
        SetTelltalePos("LfaHdaWhite",        LfaHdaWhite);
        SetTelltalePos("LdwLkaGray",          LdwLkaGray);
        SetTelltalePos("LdwLkaGreen",        LdwLkaGreen);
        SetTelltalePos("LdwLkaYellow",      LdwLkaYellow);
        SetTelltalePos("ServiceLamp",        ServiceLamp);
        SetTelltalePos("HIGH_TEMP",            HIGH_TEMP);
        SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
        SetTelltalePos("AutoHoldGreen",    AutoHoldGreen);
        SetTelltalePos("AutoHoldWhite",    AutoHoldWhite);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("IceWarning",          IceWarning);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("RSBR",                      RSBR);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
        SetTelltalePos("SPORT",            DMS_Led_Sport); 
        SetTelltalePos("RestoreDefault",        DMS_RestoreDefault);
    }
#endif   

}


